VLOCK(1)

NOM
vlock — Programme de verrouillage de la console virtuelle

SYNOPSIS
vlock

vlock [ -a,--all ] [ -c,--current ] [ -h,--help ] [ -v,--version ]

DESCRIPTION
vlock est un programme pour verrouiller une ou plusieurs sessions de console Linux. Il est particulièrement utile pour les machines Linux qui ont plusieurs utilisateurs ayant accès à la console. Un utilisateur peut verrouiller sa ou ses sessions tout en permettant aux autres utilisateurs d’utiliser le système sur d’autres consoles virtuelles. Si désiré, il est possible de verrouiller la console entière et d’empêcher le changement de console virtuelle.

Par défaut, seule la console virtuelle en cours est verrouillée. Avec l’option -a,-all toutes les consoles virtuelles sont verrouillées. Les consoles virtuelles verrouillées ne peuvent être déverrouillées sans le mot de passe de l’invocateur. Et de manière paranoïaque, vlock rend la tâche éprouvante pour ceux qui essaient de deviner le mot de passe, aussi les accès non autorisés sont hautement improbables.

Veuillez noter qu’il est tout à fait possible que vous ne puissiez plus accéder à la console avec les options -a,--all si vous ne vous souvenez plus de votre mot de passe ! À moins de pouvoir tuer vlock en se connectant à distance à l’aide d’un terminal série ou à travers le réseau, un redémarrage complet du système est la seule méthode pour déverrouiller le display.

vlock fonctionne principalement sur des sessions en console. Cependant, il existe aussi un essai de prise en charge du verrouillage des sessions non en console, mais cela n’a pas été testé de manière approfondie.

OPTIONS
-a,--all

    Verrouiller toutes les sessions de console et désactiver le changement de console virtuelle.

-c,--current

    Verrouiller la session en cours (comportement par défaut).

-h,--help

    Afficher un aide-mémoire succinct.

-v,--version

    Afficher le numéro de version de vlock.

AUTEURS
Michael K. Johnson <johnsonm@redhat.com>

VOIR AUSSI
chvt(1), deallocvt(1), openvt(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.